Languages.SomeLanguages (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.language.bm, class: Languages, class: SomeLanguages

Package org.apache.commons.codec.language.bm

# Class Languages.SomeLanguages

java.lang.Object
org.apache.commons.codec.language.bm.Languages.LanguageSet
org.apache.commons.codec.language.bm.Languages.SomeLanguages

Enclosing class:
  `Languages`

public static final class Languages.SomeLanguages extends Languages.LanguageSet
Some languages, explicitly enumerated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(String language)`
  Tests whether this instance contains the given value.
  `String`
  `getAny()`
  Gets any of this instance's element.
  `Set<String>`
  `getLanguages()`
  Gets the language strings
  `boolean`
  `isEmpty()`
  Tests whether this instance is empty.
  `boolean`
  `isSingleton()`
  Tests whether this instance contains a single element.
  `Languages.LanguageSet`
  `merge(Languages.LanguageSet other)`
  `Languages.LanguageSet`
  `restrictTo(Languages.LanguageSet other)`
  Returns an instance restricted to this instances and the given values'.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.commons.codec.language.bm.Languages.LanguageSet

  `from`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### contains

    public boolean contains(String language)
    Description copied from class: `Languages.LanguageSet`
    Tests whether this instance contains the given value.
    Specified by:
      `contains` in class `Languages.LanguageSet`
    Parameters:
      `language` - The value to test.
    Returns:
      whether this instance contains the given value.

  - ### getAny

    public String getAny()
    Description copied from class: `Languages.LanguageSet`
    Gets any of this instance's element.
    Specified by:
      `getAny` in class `Languages.LanguageSet`
    Returns:
      any of this instance's element.

  - ### getLanguages

    public Set<String> getLanguages()
    Gets the language strings
    Returns:
      The languages strings.

  - ### isEmpty

    public boolean isEmpty()
    Description copied from class: `Languages.LanguageSet`
    Tests whether this instance is empty.
    Specified by:
      `isEmpty` in class `Languages.LanguageSet`
    Returns:
      whether this instance is empty.

  - ### isSingleton

    public boolean isSingleton()
    Description copied from class: `Languages.LanguageSet`
    Tests whether this instance contains a single element.
    Specified by:
      `isSingleton` in class `Languages.LanguageSet`
    Returns:
      whether this instance contains a single element.

  - ### merge

    public Languages.LanguageSet merge(Languages.LanguageSet other)

  - ### restrictTo

    public Languages.LanguageSet restrictTo(Languages.LanguageSet other)
    Description copied from class: `Languages.LanguageSet`
    Returns an instance restricted to this instances and the given values'.
    Specified by:
      `restrictTo` in class `Languages.LanguageSet`
    Parameters:
      `other` - The other instance.
    Returns:
      An instance restricted to this instances and the given values'.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`